#include <generate-library-dependencies-la-object.hpp>

static
void backend_dependency_1( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    if ( la_objects->find( "libscorep_adapter_utils" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_utils" ] =
            la_object( "libscorep_adapter_utils",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_2( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lpapi" );
    libs.push_back( "-ldl" );
    libs.push_back( "-lotf2" );
    libs.push_back( "-lcube4w" );
    libs.push_back( "-lz" );
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    ldflags.push_back( "-L/usr/lib64" );
    rpaths.push_back( "-R/usr/lib64" );
    dependency_las.push_back( "libscorep_adapter_utils" );
    if ( la_objects->find( "libscorep_measurement" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_measurement" ] =
            la_object( "libscorep_measurement",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_3( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    if ( la_objects->find( "libscorep_adapter_utils" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_utils" ] =
            la_object( "libscorep_adapter_utils",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_4( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    if ( la_objects->find( "libscorep_constructor" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_constructor" ] =
            la_object( "libscorep_constructor",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_5( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    if ( la_objects->find( "libscorep_mpp_mockup" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_mpp_mockup" ] =
            la_object( "libscorep_mpp_mockup",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_6( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    if ( la_objects->find( "libscorep_thread_mockup" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_thread_mockup" ] =
            la_object( "libscorep_thread_mockup",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_7( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    if ( la_objects->find( "libscorep_thread_fork_join_omp" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_thread_fork_join_omp" ] =
            la_object( "libscorep_thread_fork_join_omp",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_8( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    if ( la_objects->find( "libscorep_thread_create_wait_pthread" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_thread_create_wait_pthread" ] =
            la_object( "libscorep_thread_create_wait_pthread",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_9( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    if ( la_objects->find( "libscorep_mutex_omp" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_mutex_omp" ] =
            la_object( "libscorep_mutex_omp",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_10( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    if ( la_objects->find( "libscorep_mutex_pthread" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_mutex_pthread" ] =
            la_object( "libscorep_mutex_pthread",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_11( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    if ( la_objects->find( "libscorep_mutex_pthread_wrap" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_mutex_pthread_wrap" ] =
            la_object( "libscorep_mutex_pthread_wrap",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_12( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    if ( la_objects->find( "libscorep_mutex_pthread_spinlock" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_mutex_pthread_spinlock" ] =
            la_object( "libscorep_mutex_pthread_spinlock",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_13( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    if ( la_objects->find( "libscorep_mutex_mockup" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_mutex_mockup" ] =
            la_object( "libscorep_mutex_mockup",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_14( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    dependency_las.push_back( "libscorep_adapter_utils" );
    if ( la_objects->find( "libscorep_adapter_user_mgmt" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_user_mgmt" ] =
            la_object( "libscorep_adapter_user_mgmt",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_15( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    if ( la_objects->find( "libscorep_adapter_utils" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_utils" ] =
            la_object( "libscorep_adapter_utils",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_16( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lpapi" );
    libs.push_back( "-ldl" );
    libs.push_back( "-lotf2" );
    libs.push_back( "-lcube4w" );
    libs.push_back( "-lz" );
    libs.push_back( "-lrt" );
    ldflags.push_back( "-L/usr/lib64" );
    rpaths.push_back( "-R/usr/lib64" );
    dependency_las.push_back( "libscorep_measurement" );
    dependency_las.push_back( "libscorep_adapter_utils" );
    if ( la_objects->find( "libscorep_adapter_user_event" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_user_event" ] =
            la_object( "libscorep_adapter_user_event",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_17( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lpapi" );
    libs.push_back( "-ldl" );
    libs.push_back( "-lotf2" );
    libs.push_back( "-lcube4w" );
    libs.push_back( "-lz" );
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    ldflags.push_back( "-L/usr/lib64" );
    rpaths.push_back( "-R/usr/lib64" );
    dependency_las.push_back( "libscorep_adapter_utils" );
    if ( la_objects->find( "libscorep_measurement" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_measurement" ] =
            la_object( "libscorep_measurement",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_18( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    if ( la_objects->find( "libscorep_adapter_utils" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_utils" ] =
            la_object( "libscorep_adapter_utils",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_19( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    if ( la_objects->find( "libscorep_adapter_utils" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_utils" ] =
            la_object( "libscorep_adapter_utils",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_20( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    if ( la_objects->find( "libscorep_adapter_compiler_mgmt" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_compiler_mgmt" ] =
            la_object( "libscorep_adapter_compiler_mgmt",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_21( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lpapi" );
    libs.push_back( "-ldl" );
    libs.push_back( "-lotf2" );
    libs.push_back( "-lcube4w" );
    libs.push_back( "-lz" );
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    ldflags.push_back( "-L/usr/lib64" );
    rpaths.push_back( "-R/usr/lib64" );
    dependency_las.push_back( "libscorep_measurement" );
    dependency_las.push_back( "libscorep_adapter_utils" );
    if ( la_objects->find( "libscorep_adapter_compiler_event" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_compiler_event" ] =
            la_object( "libscorep_adapter_compiler_event",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_22( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lpapi" );
    libs.push_back( "-ldl" );
    libs.push_back( "-lotf2" );
    libs.push_back( "-lcube4w" );
    libs.push_back( "-lz" );
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    ldflags.push_back( "-L/usr/lib64" );
    rpaths.push_back( "-R/usr/lib64" );
    dependency_las.push_back( "libscorep_adapter_utils" );
    if ( la_objects->find( "libscorep_measurement" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_measurement" ] =
            la_object( "libscorep_measurement",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_23( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    if ( la_objects->find( "libscorep_adapter_utils" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_utils" ] =
            la_object( "libscorep_adapter_utils",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_24( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    if ( la_objects->find( "libscorep_adapter_utils" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_utils" ] =
            la_object( "libscorep_adapter_utils",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_25( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    if ( la_objects->find( "libscorep_adapter_opari2_mgmt" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_opari2_mgmt" ] =
            la_object( "libscorep_adapter_opari2_mgmt",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_26( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    dependency_las.push_back( "libscorep_adapter_opari2_mgmt" );
    if ( la_objects->find( "libscorep_adapter_opari2_openmp_mgmt" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_opari2_openmp_mgmt" ] =
            la_object( "libscorep_adapter_opari2_openmp_mgmt",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_27( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    if ( la_objects->find( "libscorep_adapter_opari2_mgmt" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_opari2_mgmt" ] =
            la_object( "libscorep_adapter_opari2_mgmt",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_28( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lpapi" );
    libs.push_back( "-ldl" );
    libs.push_back( "-lotf2" );
    libs.push_back( "-lcube4w" );
    libs.push_back( "-lz" );
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    ldflags.push_back( "-L/usr/lib64" );
    rpaths.push_back( "-R/usr/lib64" );
    dependency_las.push_back( "libscorep_measurement" );
    dependency_las.push_back( "libscorep_adapter_utils" );
    if ( la_objects->find( "libscorep_adapter_opari2_openmp_event" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_opari2_openmp_event" ] =
            la_object( "libscorep_adapter_opari2_openmp_event",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_29( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lpapi" );
    libs.push_back( "-ldl" );
    libs.push_back( "-lotf2" );
    libs.push_back( "-lcube4w" );
    libs.push_back( "-lz" );
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    ldflags.push_back( "-L/usr/lib64" );
    rpaths.push_back( "-R/usr/lib64" );
    dependency_las.push_back( "libscorep_adapter_utils" );
    if ( la_objects->find( "libscorep_measurement" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_measurement" ] =
            la_object( "libscorep_measurement",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_30( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    if ( la_objects->find( "libscorep_adapter_utils" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_utils" ] =
            la_object( "libscorep_adapter_utils",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_31( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    if ( la_objects->find( "libscorep_adapter_utils" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_utils" ] =
            la_object( "libscorep_adapter_utils",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_32( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    dependency_las.push_back( "libscorep_adapter_opari2_mgmt" );
    if ( la_objects->find( "libscorep_adapter_opari2_user_mgmt" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_opari2_user_mgmt" ] =
            la_object( "libscorep_adapter_opari2_user_mgmt",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_33( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    if ( la_objects->find( "libscorep_adapter_opari2_mgmt" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_opari2_mgmt" ] =
            la_object( "libscorep_adapter_opari2_mgmt",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_34( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lpapi" );
    libs.push_back( "-ldl" );
    libs.push_back( "-lotf2" );
    libs.push_back( "-lcube4w" );
    libs.push_back( "-lz" );
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    ldflags.push_back( "-L/usr/lib64" );
    rpaths.push_back( "-R/usr/lib64" );
    dependency_las.push_back( "libscorep_measurement" );
    dependency_las.push_back( "libscorep_adapter_utils" );
    if ( la_objects->find( "libscorep_adapter_opari2_user_event" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_opari2_user_event" ] =
            la_object( "libscorep_adapter_opari2_user_event",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_35( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lpapi" );
    libs.push_back( "-ldl" );
    libs.push_back( "-lotf2" );
    libs.push_back( "-lcube4w" );
    libs.push_back( "-lz" );
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    ldflags.push_back( "-L/usr/lib64" );
    rpaths.push_back( "-R/usr/lib64" );
    dependency_las.push_back( "libscorep_adapter_utils" );
    if ( la_objects->find( "libscorep_measurement" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_measurement" ] =
            la_object( "libscorep_measurement",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_36( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    if ( la_objects->find( "libscorep_adapter_utils" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_utils" ] =
            la_object( "libscorep_adapter_utils",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_37( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    if ( la_objects->find( "libscorep_adapter_utils" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_utils" ] =
            la_object( "libscorep_adapter_utils",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_38( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lOpenCL" );
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    if ( la_objects->find( "libscorep_adapter_opencl_mgmt_linktime" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_opencl_mgmt_linktime" ] =
            la_object( "libscorep_adapter_opencl_mgmt_linktime",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_39( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lOpenCL" );
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    if ( la_objects->find( "libscorep_adapter_opencl_mgmt_runtime" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_opencl_mgmt_runtime" ] =
            la_object( "libscorep_adapter_opencl_mgmt_runtime",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_40( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lpapi" );
    libs.push_back( "-ldl" );
    libs.push_back( "-lotf2" );
    libs.push_back( "-lcube4w" );
    libs.push_back( "-lz" );
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    ldflags.push_back( "-L/usr/lib64" );
    rpaths.push_back( "-R/usr/lib64" );
    dependency_las.push_back( "libscorep_measurement" );
    dependency_las.push_back( "libscorep_adapter_utils" );
    if ( la_objects->find( "libscorep_adapter_opencl_event_linktime" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_opencl_event_linktime" ] =
            la_object( "libscorep_adapter_opencl_event_linktime",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_41( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lpapi" );
    libs.push_back( "-ldl" );
    libs.push_back( "-lotf2" );
    libs.push_back( "-lcube4w" );
    libs.push_back( "-lz" );
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    ldflags.push_back( "-L/usr/lib64" );
    rpaths.push_back( "-R/usr/lib64" );
    dependency_las.push_back( "libscorep_adapter_utils" );
    if ( la_objects->find( "libscorep_measurement" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_measurement" ] =
            la_object( "libscorep_measurement",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_42( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    if ( la_objects->find( "libscorep_adapter_utils" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_utils" ] =
            la_object( "libscorep_adapter_utils",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_43( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    if ( la_objects->find( "libscorep_adapter_utils" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_utils" ] =
            la_object( "libscorep_adapter_utils",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_44( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lpapi" );
    libs.push_back( "-ldl" );
    libs.push_back( "-lotf2" );
    libs.push_back( "-lcube4w" );
    libs.push_back( "-lz" );
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    ldflags.push_back( "-L/usr/lib64" );
    rpaths.push_back( "-R/usr/lib64" );
    dependency_las.push_back( "libscorep_measurement" );
    dependency_las.push_back( "libscorep_adapter_utils" );
    if ( la_objects->find( "libscorep_adapter_opencl_event_runtime" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_opencl_event_runtime" ] =
            la_object( "libscorep_adapter_opencl_event_runtime",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_45( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lpapi" );
    libs.push_back( "-ldl" );
    libs.push_back( "-lotf2" );
    libs.push_back( "-lcube4w" );
    libs.push_back( "-lz" );
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    ldflags.push_back( "-L/usr/lib64" );
    rpaths.push_back( "-R/usr/lib64" );
    dependency_las.push_back( "libscorep_adapter_utils" );
    if ( la_objects->find( "libscorep_measurement" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_measurement" ] =
            la_object( "libscorep_measurement",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_46( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    if ( la_objects->find( "libscorep_adapter_utils" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_utils" ] =
            la_object( "libscorep_adapter_utils",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_47( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    if ( la_objects->find( "libscorep_adapter_utils" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_utils" ] =
            la_object( "libscorep_adapter_utils",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_48( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    if ( la_objects->find( "libscorep_adapter_pthread_mgmt" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_pthread_mgmt" ] =
            la_object( "libscorep_adapter_pthread_mgmt",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_49( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lpapi" );
    libs.push_back( "-ldl" );
    libs.push_back( "-lotf2" );
    libs.push_back( "-lcube4w" );
    libs.push_back( "-lz" );
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    ldflags.push_back( "-L/usr/lib64" );
    rpaths.push_back( "-R/usr/lib64" );
    dependency_las.push_back( "libscorep_measurement" );
    dependency_las.push_back( "libscorep_adapter_utils" );
    if ( la_objects->find( "libscorep_adapter_pthread_event" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_pthread_event" ] =
            la_object( "libscorep_adapter_pthread_event",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_50( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lpapi" );
    libs.push_back( "-ldl" );
    libs.push_back( "-lotf2" );
    libs.push_back( "-lcube4w" );
    libs.push_back( "-lz" );
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    ldflags.push_back( "-L/usr/lib64" );
    rpaths.push_back( "-R/usr/lib64" );
    dependency_las.push_back( "libscorep_adapter_utils" );
    if ( la_objects->find( "libscorep_measurement" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_measurement" ] =
            la_object( "libscorep_measurement",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_51( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    if ( la_objects->find( "libscorep_adapter_utils" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_utils" ] =
            la_object( "libscorep_adapter_utils",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_52( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    if ( la_objects->find( "libscorep_adapter_utils" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_utils" ] =
            la_object( "libscorep_adapter_utils",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_53( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    if ( la_objects->find( "libscorep_adapter_memory_mgmt" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_memory_mgmt" ] =
            la_object( "libscorep_adapter_memory_mgmt",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_54( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lpapi" );
    libs.push_back( "-ldl" );
    libs.push_back( "-lotf2" );
    libs.push_back( "-lcube4w" );
    libs.push_back( "-lz" );
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    ldflags.push_back( "-L/usr/lib64" );
    rpaths.push_back( "-R/usr/lib64" );
    dependency_las.push_back( "libscorep_measurement" );
    dependency_las.push_back( "libscorep_adapter_utils" );
    if ( la_objects->find( "libscorep_adapter_memory_event_hbwmalloc" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_memory_event_hbwmalloc" ] =
            la_object( "libscorep_adapter_memory_event_hbwmalloc",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_55( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lpapi" );
    libs.push_back( "-ldl" );
    libs.push_back( "-lotf2" );
    libs.push_back( "-lcube4w" );
    libs.push_back( "-lz" );
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    ldflags.push_back( "-L/usr/lib64" );
    rpaths.push_back( "-R/usr/lib64" );
    dependency_las.push_back( "libscorep_adapter_utils" );
    if ( la_objects->find( "libscorep_measurement" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_measurement" ] =
            la_object( "libscorep_measurement",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_56( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    if ( la_objects->find( "libscorep_adapter_utils" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_utils" ] =
            la_object( "libscorep_adapter_utils",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_57( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    if ( la_objects->find( "libscorep_adapter_utils" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_utils" ] =
            la_object( "libscorep_adapter_utils",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_58( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lpapi" );
    libs.push_back( "-ldl" );
    libs.push_back( "-lotf2" );
    libs.push_back( "-lcube4w" );
    libs.push_back( "-lz" );
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    ldflags.push_back( "-L/usr/lib64" );
    rpaths.push_back( "-R/usr/lib64" );
    dependency_las.push_back( "libscorep_measurement" );
    dependency_las.push_back( "libscorep_adapter_utils" );
    if ( la_objects->find( "libscorep_adapter_memory_event_libc" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_memory_event_libc" ] =
            la_object( "libscorep_adapter_memory_event_libc",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_59( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lpapi" );
    libs.push_back( "-ldl" );
    libs.push_back( "-lotf2" );
    libs.push_back( "-lcube4w" );
    libs.push_back( "-lz" );
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    ldflags.push_back( "-L/usr/lib64" );
    rpaths.push_back( "-R/usr/lib64" );
    dependency_las.push_back( "libscorep_adapter_utils" );
    if ( la_objects->find( "libscorep_measurement" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_measurement" ] =
            la_object( "libscorep_measurement",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_60( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    if ( la_objects->find( "libscorep_adapter_utils" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_utils" ] =
            la_object( "libscorep_adapter_utils",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_61( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    if ( la_objects->find( "libscorep_adapter_utils" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_utils" ] =
            la_object( "libscorep_adapter_utils",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_62( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lpapi" );
    libs.push_back( "-ldl" );
    libs.push_back( "-lotf2" );
    libs.push_back( "-lcube4w" );
    libs.push_back( "-lz" );
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    ldflags.push_back( "-L/usr/lib64" );
    rpaths.push_back( "-R/usr/lib64" );
    dependency_las.push_back( "libscorep_measurement" );
    dependency_las.push_back( "libscorep_adapter_utils" );
    if ( la_objects->find( "libscorep_adapter_memory_event_libc11" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_memory_event_libc11" ] =
            la_object( "libscorep_adapter_memory_event_libc11",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_63( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lpapi" );
    libs.push_back( "-ldl" );
    libs.push_back( "-lotf2" );
    libs.push_back( "-lcube4w" );
    libs.push_back( "-lz" );
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    ldflags.push_back( "-L/usr/lib64" );
    rpaths.push_back( "-R/usr/lib64" );
    dependency_las.push_back( "libscorep_adapter_utils" );
    if ( la_objects->find( "libscorep_measurement" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_measurement" ] =
            la_object( "libscorep_measurement",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_64( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    if ( la_objects->find( "libscorep_adapter_utils" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_utils" ] =
            la_object( "libscorep_adapter_utils",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_65( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    if ( la_objects->find( "libscorep_adapter_utils" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_utils" ] =
            la_object( "libscorep_adapter_utils",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_66( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lpapi" );
    libs.push_back( "-ldl" );
    libs.push_back( "-lotf2" );
    libs.push_back( "-lcube4w" );
    libs.push_back( "-lz" );
    libs.push_back( "-lrt" );
    ldflags.push_back( "-L/usr/lib64" );
    rpaths.push_back( "-R/usr/lib64" );
    dependency_las.push_back( "libscorep_measurement" );
    dependency_las.push_back( "libscorep_adapter_utils" );
    if ( la_objects->find( "libscorep_adapter_memory_event_cxx" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_memory_event_cxx" ] =
            la_object( "libscorep_adapter_memory_event_cxx",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_67( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lpapi" );
    libs.push_back( "-ldl" );
    libs.push_back( "-lotf2" );
    libs.push_back( "-lcube4w" );
    libs.push_back( "-lz" );
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    ldflags.push_back( "-L/usr/lib64" );
    rpaths.push_back( "-R/usr/lib64" );
    dependency_las.push_back( "libscorep_adapter_utils" );
    if ( la_objects->find( "libscorep_measurement" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_measurement" ] =
            la_object( "libscorep_measurement",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_68( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    if ( la_objects->find( "libscorep_adapter_utils" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_utils" ] =
            la_object( "libscorep_adapter_utils",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_69( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    if ( la_objects->find( "libscorep_adapter_utils" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_utils" ] =
            la_object( "libscorep_adapter_utils",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_70( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lpapi" );
    libs.push_back( "-ldl" );
    libs.push_back( "-lotf2" );
    libs.push_back( "-lcube4w" );
    libs.push_back( "-lz" );
    libs.push_back( "-lrt" );
    ldflags.push_back( "-L/usr/lib64" );
    rpaths.push_back( "-R/usr/lib64" );
    dependency_las.push_back( "libscorep_measurement" );
    dependency_las.push_back( "libscorep_adapter_utils" );
    if ( la_objects->find( "libscorep_adapter_memory_event_cxx_L32" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_memory_event_cxx_L32" ] =
            la_object( "libscorep_adapter_memory_event_cxx_L32",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_71( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lpapi" );
    libs.push_back( "-ldl" );
    libs.push_back( "-lotf2" );
    libs.push_back( "-lcube4w" );
    libs.push_back( "-lz" );
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    ldflags.push_back( "-L/usr/lib64" );
    rpaths.push_back( "-R/usr/lib64" );
    dependency_las.push_back( "libscorep_adapter_utils" );
    if ( la_objects->find( "libscorep_measurement" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_measurement" ] =
            la_object( "libscorep_measurement",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_72( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    if ( la_objects->find( "libscorep_adapter_utils" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_utils" ] =
            la_object( "libscorep_adapter_utils",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_73( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    if ( la_objects->find( "libscorep_adapter_utils" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_utils" ] =
            la_object( "libscorep_adapter_utils",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_74( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lpapi" );
    libs.push_back( "-ldl" );
    libs.push_back( "-lotf2" );
    libs.push_back( "-lcube4w" );
    libs.push_back( "-lz" );
    libs.push_back( "-lrt" );
    ldflags.push_back( "-L/usr/lib64" );
    rpaths.push_back( "-R/usr/lib64" );
    dependency_las.push_back( "libscorep_measurement" );
    dependency_las.push_back( "libscorep_adapter_utils" );
    if ( la_objects->find( "libscorep_adapter_memory_event_cxx_L64" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_memory_event_cxx_L64" ] =
            la_object( "libscorep_adapter_memory_event_cxx_L64",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_75( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lpapi" );
    libs.push_back( "-ldl" );
    libs.push_back( "-lotf2" );
    libs.push_back( "-lcube4w" );
    libs.push_back( "-lz" );
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    ldflags.push_back( "-L/usr/lib64" );
    rpaths.push_back( "-R/usr/lib64" );
    dependency_las.push_back( "libscorep_adapter_utils" );
    if ( la_objects->find( "libscorep_measurement" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_measurement" ] =
            la_object( "libscorep_measurement",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_76( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    if ( la_objects->find( "libscorep_adapter_utils" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_utils" ] =
            la_object( "libscorep_adapter_utils",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_77( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    if ( la_objects->find( "libscorep_adapter_utils" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_utils" ] =
            la_object( "libscorep_adapter_utils",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_78( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lpapi" );
    libs.push_back( "-ldl" );
    libs.push_back( "-lotf2" );
    libs.push_back( "-lcube4w" );
    libs.push_back( "-lz" );
    libs.push_back( "-lrt" );
    ldflags.push_back( "-L/usr/lib64" );
    rpaths.push_back( "-R/usr/lib64" );
    dependency_las.push_back( "libscorep_measurement" );
    dependency_las.push_back( "libscorep_adapter_utils" );
    if ( la_objects->find( "libscorep_adapter_memory_event_cxx14_L32" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_memory_event_cxx14_L32" ] =
            la_object( "libscorep_adapter_memory_event_cxx14_L32",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_79( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lpapi" );
    libs.push_back( "-ldl" );
    libs.push_back( "-lotf2" );
    libs.push_back( "-lcube4w" );
    libs.push_back( "-lz" );
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    ldflags.push_back( "-L/usr/lib64" );
    rpaths.push_back( "-R/usr/lib64" );
    dependency_las.push_back( "libscorep_adapter_utils" );
    if ( la_objects->find( "libscorep_measurement" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_measurement" ] =
            la_object( "libscorep_measurement",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_80( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    if ( la_objects->find( "libscorep_adapter_utils" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_utils" ] =
            la_object( "libscorep_adapter_utils",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_81( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    if ( la_objects->find( "libscorep_adapter_utils" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_utils" ] =
            la_object( "libscorep_adapter_utils",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_82( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lpapi" );
    libs.push_back( "-ldl" );
    libs.push_back( "-lotf2" );
    libs.push_back( "-lcube4w" );
    libs.push_back( "-lz" );
    libs.push_back( "-lrt" );
    ldflags.push_back( "-L/usr/lib64" );
    rpaths.push_back( "-R/usr/lib64" );
    dependency_las.push_back( "libscorep_measurement" );
    dependency_las.push_back( "libscorep_adapter_utils" );
    if ( la_objects->find( "libscorep_adapter_memory_event_cxx14_L64" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_memory_event_cxx14_L64" ] =
            la_object( "libscorep_adapter_memory_event_cxx14_L64",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_83( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lpapi" );
    libs.push_back( "-ldl" );
    libs.push_back( "-lotf2" );
    libs.push_back( "-lcube4w" );
    libs.push_back( "-lz" );
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    ldflags.push_back( "-L/usr/lib64" );
    rpaths.push_back( "-R/usr/lib64" );
    dependency_las.push_back( "libscorep_adapter_utils" );
    if ( la_objects->find( "libscorep_measurement" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_measurement" ] =
            la_object( "libscorep_measurement",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_84( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    if ( la_objects->find( "libscorep_adapter_utils" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_utils" ] =
            la_object( "libscorep_adapter_utils",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_85( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    if ( la_objects->find( "libscorep_adapter_utils" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_utils" ] =
            la_object( "libscorep_adapter_utils",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_86( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lpapi" );
    libs.push_back( "-ldl" );
    libs.push_back( "-lotf2" );
    libs.push_back( "-lcube4w" );
    libs.push_back( "-lz" );
    libs.push_back( "-lrt" );
    ldflags.push_back( "-L/usr/lib64" );
    rpaths.push_back( "-R/usr/lib64" );
    dependency_las.push_back( "libscorep_measurement" );
    dependency_las.push_back( "libscorep_adapter_utils" );
    if ( la_objects->find( "libscorep_adapter_memory_event_pgCC" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_memory_event_pgCC" ] =
            la_object( "libscorep_adapter_memory_event_pgCC",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_87( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lpapi" );
    libs.push_back( "-ldl" );
    libs.push_back( "-lotf2" );
    libs.push_back( "-lcube4w" );
    libs.push_back( "-lz" );
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    ldflags.push_back( "-L/usr/lib64" );
    rpaths.push_back( "-R/usr/lib64" );
    dependency_las.push_back( "libscorep_adapter_utils" );
    if ( la_objects->find( "libscorep_measurement" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_measurement" ] =
            la_object( "libscorep_measurement",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_88( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    if ( la_objects->find( "libscorep_adapter_utils" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_utils" ] =
            la_object( "libscorep_adapter_utils",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_89( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    if ( la_objects->find( "libscorep_adapter_utils" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_utils" ] =
            la_object( "libscorep_adapter_utils",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_90( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lpapi" );
    libs.push_back( "-ldl" );
    libs.push_back( "-lotf2" );
    libs.push_back( "-lcube4w" );
    libs.push_back( "-lz" );
    libs.push_back( "-lrt" );
    ldflags.push_back( "-L/usr/lib64" );
    rpaths.push_back( "-R/usr/lib64" );
    dependency_las.push_back( "libscorep_measurement" );
    dependency_las.push_back( "libscorep_adapter_utils" );
    if ( la_objects->find( "libscorep_adapter_memory_event_pgCC_L32" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_memory_event_pgCC_L32" ] =
            la_object( "libscorep_adapter_memory_event_pgCC_L32",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_91( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lpapi" );
    libs.push_back( "-ldl" );
    libs.push_back( "-lotf2" );
    libs.push_back( "-lcube4w" );
    libs.push_back( "-lz" );
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    ldflags.push_back( "-L/usr/lib64" );
    rpaths.push_back( "-R/usr/lib64" );
    dependency_las.push_back( "libscorep_adapter_utils" );
    if ( la_objects->find( "libscorep_measurement" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_measurement" ] =
            la_object( "libscorep_measurement",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_92( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    if ( la_objects->find( "libscorep_adapter_utils" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_utils" ] =
            la_object( "libscorep_adapter_utils",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_93( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    if ( la_objects->find( "libscorep_adapter_utils" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_utils" ] =
            la_object( "libscorep_adapter_utils",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_94( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lpapi" );
    libs.push_back( "-ldl" );
    libs.push_back( "-lotf2" );
    libs.push_back( "-lcube4w" );
    libs.push_back( "-lz" );
    libs.push_back( "-lrt" );
    ldflags.push_back( "-L/usr/lib64" );
    rpaths.push_back( "-R/usr/lib64" );
    dependency_las.push_back( "libscorep_measurement" );
    dependency_las.push_back( "libscorep_adapter_utils" );
    if ( la_objects->find( "libscorep_adapter_memory_event_pgCC_L64" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_memory_event_pgCC_L64" ] =
            la_object( "libscorep_adapter_memory_event_pgCC_L64",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_95( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lpapi" );
    libs.push_back( "-ldl" );
    libs.push_back( "-lotf2" );
    libs.push_back( "-lcube4w" );
    libs.push_back( "-lz" );
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    ldflags.push_back( "-L/usr/lib64" );
    rpaths.push_back( "-R/usr/lib64" );
    dependency_las.push_back( "libscorep_adapter_utils" );
    if ( la_objects->find( "libscorep_measurement" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_measurement" ] =
            la_object( "libscorep_measurement",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_96( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    if ( la_objects->find( "libscorep_adapter_utils" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_utils" ] =
            la_object( "libscorep_adapter_utils",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_97( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    if ( la_objects->find( "libscorep_adapter_utils" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_utils" ] =
            la_object( "libscorep_adapter_utils",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_98( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    if ( la_objects->find( "libscorep_adapter_posix_io_mgmt_linktime" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_posix_io_mgmt_linktime" ] =
            la_object( "libscorep_adapter_posix_io_mgmt_linktime",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_99( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    if ( la_objects->find( "libscorep_adapter_posix_io_mgmt_runtime" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_posix_io_mgmt_runtime" ] =
            la_object( "libscorep_adapter_posix_io_mgmt_runtime",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_100( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lpapi" );
    libs.push_back( "-ldl" );
    libs.push_back( "-lotf2" );
    libs.push_back( "-lcube4w" );
    libs.push_back( "-lz" );
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    ldflags.push_back( "-L/usr/lib64" );
    rpaths.push_back( "-R/usr/lib64" );
    dependency_las.push_back( "libscorep_measurement" );
    dependency_las.push_back( "libscorep_adapter_utils" );
    if ( la_objects->find( "libscorep_adapter_posix_io_event_linktime" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_posix_io_event_linktime" ] =
            la_object( "libscorep_adapter_posix_io_event_linktime",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_101( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lpapi" );
    libs.push_back( "-ldl" );
    libs.push_back( "-lotf2" );
    libs.push_back( "-lcube4w" );
    libs.push_back( "-lz" );
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    ldflags.push_back( "-L/usr/lib64" );
    rpaths.push_back( "-R/usr/lib64" );
    dependency_las.push_back( "libscorep_adapter_utils" );
    if ( la_objects->find( "libscorep_measurement" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_measurement" ] =
            la_object( "libscorep_measurement",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_102( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    if ( la_objects->find( "libscorep_adapter_utils" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_utils" ] =
            la_object( "libscorep_adapter_utils",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_103( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    if ( la_objects->find( "libscorep_adapter_utils" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_utils" ] =
            la_object( "libscorep_adapter_utils",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_104( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lpapi" );
    libs.push_back( "-ldl" );
    libs.push_back( "-lotf2" );
    libs.push_back( "-lcube4w" );
    libs.push_back( "-lz" );
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    ldflags.push_back( "-L/usr/lib64" );
    rpaths.push_back( "-R/usr/lib64" );
    dependency_las.push_back( "libscorep_measurement" );
    dependency_las.push_back( "libscorep_adapter_utils" );
    if ( la_objects->find( "libscorep_adapter_posix_io_event_runtime" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_posix_io_event_runtime" ] =
            la_object( "libscorep_adapter_posix_io_event_runtime",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_105( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lpapi" );
    libs.push_back( "-ldl" );
    libs.push_back( "-lotf2" );
    libs.push_back( "-lcube4w" );
    libs.push_back( "-lz" );
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    ldflags.push_back( "-L/usr/lib64" );
    rpaths.push_back( "-R/usr/lib64" );
    dependency_las.push_back( "libscorep_adapter_utils" );
    if ( la_objects->find( "libscorep_measurement" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_measurement" ] =
            la_object( "libscorep_measurement",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_106( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    if ( la_objects->find( "libscorep_adapter_utils" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_utils" ] =
            la_object( "libscorep_adapter_utils",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_107( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    if ( la_objects->find( "libscorep_adapter_utils" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_utils" ] =
            la_object( "libscorep_adapter_utils",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_108( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    if ( la_objects->find( "libscorep_online_access_mockup" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_online_access_mockup" ] =
            la_object( "libscorep_online_access_mockup",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_109( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    if ( la_objects->find( "libscorep_online_access_spp" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_online_access_spp" ] =
            la_object( "libscorep_online_access_spp",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void backend_dependency_110( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    if ( la_objects->find( "libscorep_alloc_metric" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_alloc_metric" ] =
            la_object( "libscorep_alloc_metric",
                       "/builddir/build/BUILD/scorep-6.0/mpich/build-backend",
                       "/usr/lib64/mpich/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void add_library_dependencies_backend( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, std::map< std::string, la_object>* la_objects )
{
    backend_dependency_1( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_2( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_3( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_4( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_5( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_6( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_7( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_8( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_9( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_10( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_11( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_12( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_13( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_14( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_15( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_16( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_17( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_18( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_19( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_20( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_21( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_22( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_23( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_24( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_25( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_26( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_27( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_28( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_29( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_30( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_31( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_32( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_33( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_34( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_35( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_36( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_37( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_38( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_39( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_40( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_41( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_42( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_43( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_44( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_45( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_46( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_47( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_48( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_49( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_50( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_51( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_52( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_53( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_54( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_55( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_56( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_57( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_58( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_59( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_60( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_61( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_62( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_63( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_64( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_65( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_66( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_67( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_68( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_69( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_70( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_71( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_72( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_73( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_74( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_75( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_76( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_77( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_78( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_79( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_80( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_81( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_82( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_83( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_84( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_85( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_86( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_87( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_88( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_89( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_90( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_91( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_92( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_93( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_94( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_95( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_96( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_97( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_98( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_99( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_100( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_101( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_102( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_103( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_104( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_105( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_106( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_107( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_108( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_109( libs, ldflags, rpaths, dependency_las, la_objects );
    backend_dependency_110( libs, ldflags, rpaths, dependency_las, la_objects );
}
