#include <generate-library-dependencies-la-object.hpp>

static
void mpi_backend_dependency_1( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    if ( la_objects->find( "libscorep_adapter_mpi_mgmt" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_mpi_mgmt" ] =
            la_object( "libscorep_adapter_mpi_mgmt",
                       "/builddir/build/BUILD/scorep-6.0/openmpi/build-mpi",
                       "/usr/lib64/openmpi/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void mpi_backend_dependency_2( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lpapi" );
    libs.push_back( "-ldl" );
    libs.push_back( "-lotf2" );
    libs.push_back( "-lcube4w" );
    libs.push_back( "-lz" );
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    ldflags.push_back( "-L/usr/lib64" );
    rpaths.push_back( "-R/usr/lib64" );
    dependency_las.push_back( "libscorep_measurement" );
    dependency_las.push_back( "libscorep_adapter_utils" );
    if ( la_objects->find( "libscorep_adapter_mpi_event" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_mpi_event" ] =
            la_object( "libscorep_adapter_mpi_event",
                       "/builddir/build/BUILD/scorep-6.0/openmpi/build-mpi",
                       "/usr/lib64/openmpi/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void mpi_backend_dependency_3( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lpapi" );
    libs.push_back( "-ldl" );
    libs.push_back( "-lotf2" );
    libs.push_back( "-lcube4w" );
    libs.push_back( "-lz" );
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    ldflags.push_back( "-L/usr/lib64" );
    rpaths.push_back( "-R/usr/lib64" );
    dependency_las.push_back( "libscorep_adapter_utils" );
    if ( la_objects->find( "libscorep_measurement" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_measurement" ] =
            la_object( "libscorep_measurement",
                       "/builddir/build/BUILD/scorep-6.0/openmpi/build-backend",
                       "/usr/lib64/openmpi/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void mpi_backend_dependency_4( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    if ( la_objects->find( "libscorep_adapter_utils" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_utils" ] =
            la_object( "libscorep_adapter_utils",
                       "/builddir/build/BUILD/scorep-6.0/openmpi/build-backend",
                       "/usr/lib64/openmpi/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void mpi_backend_dependency_5( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    if ( la_objects->find( "libscorep_adapter_utils" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_adapter_utils" ] =
            la_object( "libscorep_adapter_utils",
                       "/builddir/build/BUILD/scorep-6.0/openmpi/build-backend",
                       "/usr/lib64/openmpi/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void mpi_backend_dependency_6( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lm" );
    libs.push_back( "-lrt" );
    if ( la_objects->find( "libscorep_mpp_mpi" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_mpp_mpi" ] =
            la_object( "libscorep_mpp_mpi",
                       "/builddir/build/BUILD/scorep-6.0/openmpi/build-mpi",
                       "/usr/lib64/openmpi/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void mpi_backend_dependency_7( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lrt" );
    if ( la_objects->find( "libscorep_online_access_mpp_mpi" ) == la_objects->end() )
    {
        (*la_objects)[ "libscorep_online_access_mpp_mpi" ] =
            la_object( "libscorep_online_access_mpp_mpi",
                       "/builddir/build/BUILD/scorep-6.0/openmpi/build-mpi",
                       "/usr/lib64/openmpi/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void add_library_dependencies_mpi_backend( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, std::map< std::string, la_object>* la_objects )
{
    mpi_backend_dependency_1( libs, ldflags, rpaths, dependency_las, la_objects );
    mpi_backend_dependency_2( libs, ldflags, rpaths, dependency_las, la_objects );
    mpi_backend_dependency_3( libs, ldflags, rpaths, dependency_las, la_objects );
    mpi_backend_dependency_4( libs, ldflags, rpaths, dependency_las, la_objects );
    mpi_backend_dependency_5( libs, ldflags, rpaths, dependency_las, la_objects );
    mpi_backend_dependency_6( libs, ldflags, rpaths, dependency_las, la_objects );
    mpi_backend_dependency_7( libs, ldflags, rpaths, dependency_las, la_objects );
}
